Package org.apache.ignite.spi.communication.tcp.messages

## Class NodeIdMessage

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.messages.NodeIdMessage

- All Implemented Interfaces:
    `Message`

      public class NodeIdMessage
      extends Object
      implements Message

  Node ID message.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MESSAGE_FULL_SIZE` | Full message size (with message type) in bytes.

    - ### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `DIRECT_TYPE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeIdMessage()` |
    `NodeIdMessage​(UUID nodeId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `directType()` | Gets message type.
    `UUID` | `nodeId()` |
    `void` | `nodeId​(UUID nodeId)` |
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

      `readFrom, writeTo`

- - ### Field Detail

    - #### MESSAGE_FULL_SIZE

          public static final int MESSAGE_FULL_SIZE

      Full message size (with message type) in bytes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NodeIdMessage

          public NodeIdMessage()

    - #### NodeIdMessage

          public NodeIdMessage​(UUID nodeId)

      Parameters:
        `nodeId` - Node ID.

  - ### Method Detail

    - #### nodeId

          public UUID nodeId()

      Returns:
        Node ID bytes.

    - #### nodeId

          public void nodeId​(UUID nodeId)

      Parameters:
        `nodeId` - Node ID bytes.

    - #### directType

          public short directType()

      Gets message type.
      Specified by:
        `directType` in interface `Message`
      Returns:
        Message type.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`